DRM_GEM_CMA_FREE_OBJ(9)

NAME
drm_gem_cma_free_object - free resources associated with a CMA GEM object

SYNOPSIS

void drm_gem_cma_free_object(struct drm_gem_object * gem_obj);

ARGUMENTS

gem_obj
    GEM object to free

DESCRIPTION

This function frees the backing memory of the CMA GEM object, cleans up the GEM object state and frees the memory used to store the object itself. Drivers using the CMA helpers should set this as their DRM driver's ->gem_free_object callback.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT